Twitter Facebook Google Plus Linked in

Compatibility with macOS 12 - Monterey

 

 

This article provides information about the compatibility of LaCie hardware and software with macOS 12 Monterey and compatibility with Intel and Apple Silicon (M1) based Macs.

 

As with every new major operating system update or release, LaCie evaluates current products to determine their compatibility with the new operating system. Compatibility information for LaCie hardware and software is listed below.

 

Hardware

Current Products, which LaCie considers USB 3.0, USB 3.1 and/or Thunderbolt 2 or 3 capable, are listed in the following table. Older drives that are not listed in this table may work, but have not been tested.

 
Product Hardware
Rugged Family Yes
d2 Family Yes
big Family* Yes (Intel-based Macs; see here for M1 Macs)
Rackmount* Yes (Intel-based Macs; see here for M1 Macs)
Limited Edition/Extreme Products Yes
Portable Drives Yes
DJI Copilot Yes

 

 

 

 

Compatibility with Apple Silicon Macs

 

big Data Access RAID Management

 

2big Dock Thunderbolt 3

2big RAID

 

YES

YES

 

 5big Thunderbolt 2 

8big Thunderbolt 2

 

YES

YES

Requires LRM v 2.9.3.225

 

6big Thunderbolt 3

 

YES

 

YES

Requires LRM v 2.9.3.225

 

12big Thunderbolt 3

YES

YES

Requires LRM v 2.9.3.225

IMPORTANT: It is strongly recommended to avoid RAID rebuilds on Apple Silicon Mac computers with 12big Thunderbolt 3. See here for additional details.

 

 

*IMPORTANT!  5big and 8big Thunderbolt 2 products require the latest RAID firmware on Intel-based Macs. If LaCie RAID Manager isn't detecting your device, please follow the instructions here to update your firmware. 

 

Note: If a pop-up blocker is installed, you may need to disable it in order to access the links. Or you can press the Command key and click on the link to open it in a new tab.

 

 

 

Software

Certain applications require an update for proper functionality with macOS 12 Monterey . Detailed information about each software can be found in its respective support page.

The following table lists LaCie software applications and whether or not they're compatible with macOS 12 Monterey :
 

Software Version Requirements
 

2.9.3.225


Apple silicon based MacsNeed to change security settings. See instructions here.

IMPORTANT! 6big and 12big Thunderbolt 3, 5big and 8big Thunderbolt 2, please download and install LRM v 2.9.3.225

Intel based Macs: Enabling Security Settings may be required. See instructions here.

Toolkit 1.25.x

Enabling Security Settings may be required if using the security feature. See instructions here.

Apple silicon Macs need to change security settings for Seagate Secure - How to change security settings


LaCie Desktop Manager

3.2.0

No, the software was not updated. Last supported operating system was macOS 10.14 (Mojave)

LaCie Private-Public**

1.9.5

No, the software was not updated. Last supported operating system was macOS 10.13 High Sierra.

Network Assistant*

1.2.1

No, the software was not updated. Last supported operating system was macOS 10.13 High Sierra.

Intego Backup Assistant

2.10

Enabling Security Settings may be required. See instructions here.

Intego Backup Manager Pro

2.10

Enabling Security Settings may be required. See instructions here.

 

 

*Indicates that the software is 32-bit and will not work in macOS 12 Monterey .


If during the software installation you received an alert message “System Extension Blocked”, please click here.